package RepairWorkOrder

type RepairWorkOrder struct {
	Id               int    `orm:"column(ID);size(11);auto;pk"`
	T_order_date     string `orm:"size(20);null"`      // 下单日期
	T_repai_date     string `orm:"size(20);null"`      // 维修日期
	T_finish_date    string `orm:"size(20);null"`      // 完结日期
	T_state          int    `orm:"size(2);default(1)"` // 1已派发 2维修中 3已完结
	T_product        string `orm:"size(256);null"`     // 产品名称
	T_model          string `orm:"size(256);null"`     // 产品型号
	T_repair_num     int    `orm:"size(256);null"`     // 维修数量
	T_source         string `orm:"size(256);null"`     // 设备来源
	T_repair_reason  string `orm:"size(256);null"`     // 维修原因
	T_picture        string `orm:"size(256);null"`     // 图片
	T_receive        string `orm:"size(256);null"`     // 接收人
	T_delivery       string `orm:"size(256);null"`     // 交付人
	T_return         string `orm:"size(256);null"`     // 归还人
	T_return_product string `orm:"size(256);null"`     // 归还产品名称
	T_return_model   string `orm:"size(256);null"`     // 归还产品名称
	T_return_num     int    `orm:"size(256);null"`     // 返回数量
	T_staging_num    int    `orm:"size(256);null"`     // 暂存数量
	T_scrap_num      int    `orm:"size(256);null"`     // 报废数量
	T_remark         string `orm:"size(256);null"`     // 备注
	T_sn             string `orm:"type(text);null"`    // sn
}
