package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	iotNetworkCard := beego.NewNamespace("/IOTNetworkCard",
		beego.NSRouter("/List", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_List"),     // 提成列表
		beego.NSRouter("/Get", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Get"),       // 提成详情
		beego.NSRouter("/Add", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Add"),       // 添加提成
		beego.NSRouter("/Edit", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Edit"),     // 编辑提成
		beego.NSRouter("/Del", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Del"),       // 删除提成
		beego.NSRouter("/Import", &controllers.IOTNetworkCardController{}, "*:IOTNetworkCard_Import"), // 删除提成
	)
	beego.AddNamespace(iotNetworkCard)
}
